#! /bin/sh

echo "Unlimited author installer for FreeBSD"
echo "By Kamil Dubik (c) 2016-17"
echo ""

idu=$(id -u);

if [ $idu -ne 0 ]; then
   echo "In order to use this script, you must be a root user!" 2>&1
   exit 1
else

   CESTA="/usr/local/share/uauthor"

   echo "Copying main binary file..."
   cp pack/uauthor /usr/local/bin/

   echo "Setting permissions..."
   chmod 755 /usr/local/bin/uauthor

   echo "Creating shared data folder..."
   mkdir $CESTA

   echo "Copying files..."
   cp pack/base/* $CESTA/
   cp -r pack/data $CESTA/
   cp -r pack/docs $CESTA/

   echo "Creating application menu entry..."
   cp pack/uauthor.desktop /usr/local/share/applications
   cp pack/base/uauthor.png /usr/local/share/pixmaps

   echo "Installation finished."
   echo ""
   echo "Manual can be found here:"
   echo "/usr/local/share/uauthor/docs/manual.pdf"
   echo ""
   echo "To uninstall application, use script in current folder, using command line:"
   echo '  $ sudo ./uninstall'
   echo ""
   echo "To run application, just write into the command line:"
   echo '  $ uauthor'
   echo "or find it in your applications menu as 'Unlimited author'."
   echo ""
   echo "Thanks for installing best novelist tool!" 

fi
